squareball 0.2.0.50-8649 A general-purpose library for C99

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
sb_error_type_t Struct Reference

`#include <squareball/sb-error.h>`

## Data Fields
const char * | name
sb_error_to_string_func_t | to_string_func
sb_free_func_t | free_func

## Detailed Description

Data structure that represents an error type object.

This should only be used when creating a custom error type.

Examples:
  hello_custom_error_type.c.

## Field Documentation

sb_free_func_t sb_error_type_t::free_func

Helper function to free the error data.

const char* sb_error_type_t::name

Error type name.

Examples:
  hello_custom_error_type.c.

sb_error_to_string_func_t sb_error_type_t::to_string_func

Helper function to convert the custom error data to a string.

The documentation for this struct was generated from the following file:

- squareball/sb-error.h